Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 914150

Summary: libtomcrypt: FTBFS in rawhide
Product: [Fedora] Fedora Reporter: Dennis Gilmore <dennis>
Component: libtomcryptAssignee: Simone Caronni <negativo17>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: high    
Version: 19CC: jeremy, negativo17
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: All   
Whiteboard:
Fixed In Version: libtomcrypt-1.17-18.el6 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-06-16 05:29:21 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 913825, 970002    

Description Dennis Gilmore 2013-02-22 09:41:26 UTC
Your package libtomcrypt failed to build from source in current rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=4967052

Build logs:
root.log: http://kojipkgs.fedoraproject.org/work/tasks/7052/4967052/root.log
build.log: http://kojipkgs.fedoraproject.org/work/tasks/7052/4967052/build.log
state.log: http://kojipkgs.fedoraproject.org/work/tasks/7052/4967052/state.log
NOTE: build logs are cleaned up after 1 week

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

Comment 1 Fedora End Of Life 2013-04-03 15:12:39 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Comment 2 Simone Caronni 2013-06-03 09:52:01 UTC
For building on Fedora 19+ and RHEL 7+; the following must be added:

%if 0%{?fedora} >= 19 || 0%{?rhel} >= 7
BuildRequires:  texlive-cm
BuildRequires:  texlive-fancyhdr
BuildRequires:  texlive-latex-bin-bin
BuildRequires:  texlive-makeindex-bin
BuildRequires:  texlive-metafont-bin
BuildRequires:  texlive-texconfig
%endif

Comment 3 Fedora Admin XMLRPC Client 2013-06-04 14:21:02 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 4 Fedora Update System 2013-06-04 17:13:12 UTC
libtomcrypt-1.17-17.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/libtomcrypt-1.17-17.fc19

Comment 5 Fedora Update System 2013-06-04 17:41:12 UTC
libtomcrypt-1.17-17.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/libtomcrypt-1.17-17.fc18

Comment 6 Fedora Update System 2013-06-06 16:14:47 UTC
libtomcrypt-1.17-18.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/libtomcrypt-1.17-18.fc17

Comment 7 Fedora Update System 2013-06-06 16:15:27 UTC
libtomcrypt-1.17-18.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/libtomcrypt-1.17-18.fc18

Comment 8 Fedora Update System 2013-06-06 16:16:10 UTC
libtomcrypt-1.17-18.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/libtomcrypt-1.17-18.fc19

Comment 9 Fedora Update System 2013-06-07 03:01:45 UTC
Package libtomcrypt-1.17-18.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libtomcrypt-1.17-18.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-10239/libtomcrypt-1.17-18.fc17
then log in and leave karma (feedback).

Comment 10 Fedora Update System 2013-06-11 12:10:32 UTC
libtomcrypt-1.17-18.el6,stoken-0.2-4.el6,libtommath-0.41-16.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/libtomcrypt-1.17-18.el6,stoken-0.2-4.el6,libtommath-0.41-16.el6

Comment 11 Fedora Update System 2013-06-16 05:29:21 UTC
libtomcrypt-1.17-18.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2013-06-16 05:32:58 UTC
libtomcrypt-1.17-18.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2013-06-18 06:24:13 UTC
libtomcrypt-1.17-18.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2013-06-26 19:06:35 UTC
libtomcrypt-1.17-18.el6, stoken-0.2-4.el6, libtommath-0.41-16.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.